apt-get の eclipse インストールに挑戦

pdtのwgetインストールは成功しましたが、apt-get からインストールしたいのと、pydev もプラグインしたいので、現在試行錯誤中です。

Javaのインストール

$ sudo apt-get install sun-java6-sdk

eclipseインストール

$ sudo apt-get install eclipse

pdt プラグイン追加

PDT Downloadから、PDTを /home/felix/ などに ダウンロードします。
$ cd /home/felix/
$ sudo chown root:root ./pdt-all-in-one-1.0.3-linux-gtk.tar.gz
$ sudo cp -a ./pdt-all-in-one-1.0.3-linux-gtk.tar.gz /usr/lib/
$ cd /usr/lib
$ sudo tar zxvf ./pdt-all-in-one-1.0.3-linux-gtk.tar.gz
$ cd ./eclipse
$ sudo vi ./eclipse.ini
JavaJMを設定 以下を追加して保存
-vm
/usr/lib/jvm/java-6-sum/jre/bin/java
初期起動
$ eclipse -clean

pyDev プラグイン追加

python を扱うなら、 pydev プラグインを追加します。これはapt-get でいけますねぇ(8.10)楽になりました。
sudo apt-get eclipse-pydev

python interpreters 設定

ecllipse 開く度に python interpreters がない! というエラーがでます。エラーの指示にしたがってinterpreterを設定します。
Screenshot-9.png
で pydev → New ボタン で ファイルマネジャーが立ち上がるので、
/usr/bin/python2.5
を指定してOK OK Apply ボタン てな感じです。
Screenshot-10.png

あとは、pleiades かな・・・ でも 一度操作覚えたらそれほど必要ないかも・・・。